Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Class GrailsRepoResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.URLResolver
          org.codehaus.groovy.grails.resolve.GrailsRepoResolver

    public class GrailsRepoResolver
    extends URLResolver

Overrides the default Ivy resolver to substitute the release tag in Grails' repository format prior to a resolve

Authors:
  Graeme Rocher

Since:
  1.3

Field Summary
`protected java.net.URL` | `repositoryRoot`

Constructor Summary
`GrailsRepoResolver(java.lang.String name, java.net.URL repositoryRoot)`

Method Summary
`protected ResolvedResource` | `findResourceUsingPattern(ModuleRevisionId mrid, java.lang.String pattern, Artifact artifact, ResourceMDParser rmdparser, java.util.Date date)`
`groovy.util.slurpersupport.GPathResult` | `getPluginList(java.io.File localFile)` Obtains the XML representation of the plugin-list.xml held in a Grails compatible repository
`java.net.URL` | `getRepositoryRoot()`
`java.lang.String` | `transformGrailsRepositoryPattern(ModuleRevisionId mrid, java.lang.String pattern)`

Field Detail

### repositoryRoot

    protected java.net.URL repositoryRoot

Constructor Detail

### GrailsRepoResolver

    public GrailsRepoResolver(java.lang.String name, java.net.URL repositoryRoot)

Method Detail

### findResourceUsingPattern

    @Override
    protected ResolvedResource findResourceUsingPattern(ModuleRevisionId mrid, java.lang.String pattern, Artifact artifact, ResourceMDParser rmdparser, java.util.Date date)

### getPluginList

    @SuppressWarnings("rawtypes")
    public groovy.util.slurpersupport.GPathResult getPluginList(java.io.File localFile)

  Obtains the XML representation of the plugin-list.xml held in a Grails compatible repository
  Parameters:
    `localFile` - The local file to save to XML too
  Returns:
    The GPathResult reperesenting the XML

### getRepositoryRoot

    public java.net.URL getRepositoryRoot()

### transformGrailsRepositoryPattern

    public java.lang.String transformGrailsRepositoryPattern(ModuleRevisionId mrid, java.lang.String pattern)

Groovy Documentation